Thunderbird 2.0.0.12 Cures Vulnerabilities

Feb 28, 2008

Following security fixes for Firefox, Camino & Co, the developers of the Thunderbird email client have now taken steps to remove known vulnerabilities, closing down five security holes, one of which was and classified as critical.

The update to Thunderbird version 2.0.0.12 removes the danger of buffer overflows caused by email attachments with MIME (Multipurpose Internet Message Extensions) encoding (MFSA 2008-12, original advisory by iDefense). The memory space allocated for this by Thunderbird was too small and the program was thus prone to buffer overflows. The potential attacker could exploit the vulnerability to execute arbitrary code.

One of the bugs already removed in the Firefox Web browser is described in MFSA 2008-01. It affected the browser engine and was capable of crashing the browser allowing an attacker to inject malicious code. Other advisories, MFSA 2008-07, MFSA 2008-05 and MFSA 2008-03, describe the other vulnerability that were removed.

Users of the email client are advised to update to the current version as soon as possible. The package can be downloaded from the project’s servers with packages expected from various distributors in the next few days.

Related content

comments powered by Disqus

Issue 167/2014

Buy this issue as a PDF

Digital Issue: Price $9.99
(incl. VAT)

News